package de.hhhammer.dchat.bot.openai.models;

import com.fasterxml.jackson.annotation.JsonProperty;

import java.util.List;

public record ChatGPTResponse(String id, String object, long created, String model, Usage usage, List<Choice> choices) {

    public record Usage(@JsonProperty("prompt_tokens") int promptTokens,
                        @JsonProperty("completion_tokens") int completionTokens,
                        @JsonProperty("total_tokens") int totalTokens) {
    }

    public record Choice(Message message, @JsonProperty("finish_reason") String finishReason, int index) {
        public record Message(String role, String content) {
        }

    }
}
